Bug 147793 - It should be possible to disable the integrated fbcon driver at boot time
It should be possible to disable the integrated fbcon driver at boot time
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 07:09 EST by Henning Schmiedehausen
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:46:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the patch for the disable switch. (1.16 KB, patch)
2005-02-11 07:10 EST, Henning Schmiedehausen
no flags Details | Diff

  None (edit)
Description Henning Schmiedehausen 2005-02-11 07:09:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I have a system which crashes with the fbcon because it chooses the wrong fbcon
at boot time (it has two). It should be possible to pass a command line flag to
disable the fbcon driver.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.760_FC3

How reproducible:
Always

Steps to Reproduce:
Boot a notebook with the cpad fbcon driver enabled.  

Actual Results:  The notebook crashes.

Expected Results:  It should boot and display the boot messages on the (big) screen.

Additional info:

The attached patch adds a new option to the fbcon driver called "disable". When this is passed to the kernel, it disables the fbcon driver at boot time.
Comment 1 Henning Schmiedehausen 2005-02-11 07:10:48 EST
Created attachment 110966 [details]
This is the patch for the disable switch.
Comment 2 Dave Jones 2005-07-15 14:22:22 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:46:02 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.